// aoc_names.cpp: implementation of the AOCNames class.
//
//////////////////////////////////////////////////////////////////////

#include "aoc_names.h"
#include <qstringlist.h>

//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////


AOCNames::AOCNames()
{
	/* Valid Actions */
	Actions << "Right-click";
	Actions << "Left-click";
	Actions << "Shift+Right-click";
	Actions << "Shift+Left-click";
	Actions << "Ctrl+Right-click";
	Actions << "Ctrl+Left-click";
	Actions << "Alt+Right-click";
	Actions << "Alt+Left-click";

	/* Valid Skills */
	Skills << "Electrical Engineering";
	Skills << "Mechanical Engineering";
	Skills << "Quantum Force field Technology";
	Skills << "Weapon Smithing";
	Skills << "Pharma Tech";
	Skills << "Psychology";
	Skills << "Nano Programming";
	Skills << "Computer Literacy";
	Skills << "Chemistry";

	Skills << "Breaking and Entry";

	Skills << "Strength";
	Skills << "Agility";
	Skills << "Stamina";
	Skills << "Intelligence";
	Skills << "Psychic";
	Skills << "Sense";
}

AOCNames::~AOCNames()
{
}

int AOCNames::getActions()
{
	return (int) Actions.count();
}

QString AOCNames::getAction( int index )
{
	if( index >= 0 && index < getActions() )
	{
		return Actions[index];
	}
	return "*Error*";
}

int AOCNames::getSkills()
{
	return (int) Skills.count();
}

QString AOCNames::getSkill( int index )
{
	if( index >= 0 && index < getSkills() )
	{
		return Skills[index];
	}
	return "*Error*";
}
